/*
    Style sheet for homework 2
    ITWP 1500: Javascript Frameworks
    Author: Nicole Wozniak
*/
html{
    background-image:linear-gradient(to right, #2e2e2e, #787878, #2e2e2e);
    }

h1{
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
    text-align: center;
    text-shadow: 2px 2px 5px purple;
}

/*Container Styling*/
#container{
    margin: 0 auto;
    padding: 2rem 4rem;
    width: 60%;
    border: .5rem outset #8f00f5;
    border-radius: 1rem;
    background-color: #6b0095;
    color: #7fa8ff;
    font-family:'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    font-size: 1.5rem;
}
#container p{
    text-align:center;
}

/*Buttonify Styling*/
#buttonify{
    margin: 0 auto;
    display:flex;
    align-items: center;
    justify-content: center;
    width: 15rem;
    height: 5rem;
    border: .5rem ridge #0051ff;
    background-color: #2e2e2e;
}
#myButton{
    border-style: groove;
    color:  #3f7cff;
    font-size: 1.25rem;
    background-color: black;
    padding: 1rem;
    /*top right bottom left*/
    border-radius: .75rem;
}
#myButton:active{
    color:#b10023;
}
#myButton:hover{
    font-size: 1.5rem;
    background-color: #262626;
}

/*Validation Styles*/
#validation{
    padding: 0 .75rem;
    text-align: center;
    font-size: 1rem;
    margin: .75rem auto;
    background-color: #83aaff;
    border: .25rem ridge #0051ff;
    width:30rem;
}

a:link{
    text-decoration: dotted;
    color:#6801b1;
    font-size:1.10rem;
}

a:hover{
    text-decoration:line-through;
    color:#007bff;
    font-size: 1.10rem;
}